Bug 389361 - Synaptic crashes when attempting to set preferences
Synaptic crashes when attempting to set preferences
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: synaptic (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 09:24 EST by Tom
Modified: 2007-12-06 15:51 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.15lorg3.93-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 15:51:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom 2007-11-18 09:24:36 EST
Description of problem:
Synaptic crashes when attempting to set preferences

Version-Release number of selected component (if applicable):
0.57.2-13.fc8

How reproducible:
Always

Steps to Reproduce:
1. Execute Synaptic
2. Click Settings->Preferences
3.
  
Actual results: Crash followed by:
synaptic: rpm/rpmindexfile.cc:639: std::string
rpmRepomdIndex::IndexURI(std::string) const: Assertion `Res.size() > 0' failed.

Expected results:
Preferences dialog displayed

Additional info:
Comment 1 Panu Matilainen 2007-11-19 02:19:46 EST
Yeah, easily reproduced, repomd support in apt acting up in some cases where
repomd.xml isn't available locally.

Fixed in rawhide now, F8 update to follow...
Comment 2 Tom 2007-11-19 09:17:17 EST
kudos
Comment 3 Fedora Update System 2007-11-21 22:30:59 EST
apt-0.5.15lorg3.93-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update apt'
Comment 4 Tom 2007-11-24 09:14:16 EST
apt-0.5.15lorg3.93-4.fc8 seems to fix the preferences bug
Comment 5 Fedora Update System 2007-12-06 15:51:27 EST
apt-0.5.15lorg3.93-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.